<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Редактирование фото*/
$tpl->assign_file('mod', 'tpl/inc/ren_foto.tpl');
$id = (int)$_GET['id'];
$file = $db->assoc($db->query("SELECT *  FROM `foto_file` WHERE `id` = '$id'"));
$tpl->assign($file);
if(empty($file['name']) || ($file['id_user'] != $user_id || !$moder)) header('Location: ?');
// Запись
if (isset($_POST['ok'])) {
	$db->query("UPDATE foto_file SET
	name = '" . xss($_POST['name']) . "',
	op = '" . xss($_POST['msg']) . "',
	pas = '" . xss($_POST['pas']) . "',
	close = '" . (int)$_POST['close'] . "',
	`mod` = '1'
	WHERE id = '$id'");
	header('Location: ?mod=ren_foto&id='.$id.'&ok');
}
if(isset($_GET['ok'])) $tpl->parse('index.ren_foto.save_ok');
// Форма
$tpl->parsemore('index.ren_foto.form, index.ren_foto');


?>